---
author: einar
comments: true
date: 2009-10-27 21:00:49+00:00
layout: page
slug: danbooru-client
title: Danbooru Client
wordpress_id: 712
image:
  feature: banner.jpg
  credit: Melissa Akdins
  creditlink: http://www.melissaadkins.com
---

Danbooru Client is an application to access Danbooru-based image boards ([Wikipedia definition](http://en.wikipedia.org/wiki/Imageboard#Danbooru-style_boards)).

Danbooru is a kind of image board which structures its data semantically, by having tags attached to images (along with other things, such as favorites, rating, etc.). It can be browsed normally (newest posts, etc.) or by using tags and other properties. Some boards are quite popular in the anime-viewing community. The neat thing about Danbooru (which is by itself a Ruby on Rails application) is the fact that it can provide a REST and POST API to access data. So. it’s technically possible to access such boards programmatically: the API permits not only retrieving posts, but also upload, tag, and perform other operations.

Danbooru Client is a GUI application for KDE, based on PyKDE4, that uses this API to access the board without a browser.


## Features






  * Connect to any Danbooru board (three predefined);


  * Download up to 100 images with selectable tags;


  * Support for multiple pages (kind of browsing the Danbooru board);


  * Download or view images with the KDE preferred image viewer;


  * View image pools (on the boards that support it);


  * Retrieve images depending on rating (Safe, Questionable or Explicit)




## Requirements






  * KDE Frameworks 5.7


  * Qt 5.4




## Download and installation


Latest version: **0.3.0**

The source archive can be downloaded from the release page.

[Download](https://www.dennogumi.org/releases/)

For people wanting to try the latest development code, there is a [Git repository set up](https://git.dennogumi.org/KDE/danbooru-client)

Refer to the [README](https://git.dennogumi.org/KDE/danbooru-client/src/master/README.md) for installation instructions.

You can then access Danbooru Client by calling danbooru-client or using the menu entry that will be created.


## Screenshots (outdated)




[![](http://www.dennogumi.org/wp-content/uploads/2009/10/danb_client1_resized.png)](http://www.dennogumi.org/wp-content/uploads/2009/10/danb_client1.png) [![](http://www.dennogumi.org/wp-content/uploads/2009/10/danb_client2_resized.png)](http://www.dennogumi.org/wp-content/uploads/2009/10/danb_client2.png)




(click to enlarge)


Danbooru Client is licensed under the terms of the GNU General Public License, version 2 or (at your option) any later version.
